Invalid Toolchain. New apps and app updates must be built with the public (GM) version of Xcode 6

I can't submit my app on iTunes Connect, getting the following error:

INFO ITMS-90111: "Invalid Toolchain. New apps and app updates must be built with the public (GM) versions of Xcode 6 or later, and iOS 8 SDK or later. Don't submit apps built with beta software."

Any suggestions? I never even had any Xcode or Xamarin beta tools installed.

Xamarin Studio
Version 5.9.7 (build 9)
Installation UUID: fcaba268-58d5-43d5-b4b2-87783f637968
Runtime:
Mono 4.0.4 ((detached/cb6d6b2)
GTK+ 2.24.23 (Raleigh theme)

Package version: 400040002

Apple Developer Tools
Xcode 7.0.1 (8228) (before updating to this, I used 7.0 and was getting same error)
Build 7A1001

Xamarin.iOS
Version: 9.0.1.20 (Indie Edition)
Hash: d8e9592
Branch: master
Build date: 2015-09-18 23:22:05-0400

Operating System
Mac OS X 10.11.1
Darwin Alexeys-MBP 15.0.0 Darwin Kernel Version 15.0.0
Tue Sep 15 12:43:52 PDT 2015
root:xnu-3247.10.9~3/RELEASE_X86_64 x86_64

Tagged:

Posts

  • NikiNiki BGMember ✭✭✭

    The problem is due to the OS. You are using a beta version of El Capitan - revert back to the GM and things will be ok.

  • I didn't realize I got into beta tier of El Capitan. Thanks for spotting this, Niki.

  • @AlexeySednev how can you revert back from beta tier?

  • I am on OSX 10.10.5 and XCode version is 7.0.1 (neither of them is beta) and get that message too. Any ideas?

  • NikiNiki BGMember ✭✭✭

    @ZoltanKadar.4782 download the GM from the App Store (Purchased tab) and run the installer.

  • Downloading GM from App Store worked and my app is successfully submitted. Thanks for your help Niki!

  • @Niki I can't see any GM related stuff on App Store even on Purchased Tab. I can't change to GM seed if there is an option in the AppStore.
    I'm still on Yosemite 10.10.5, XCode 7.0 downloaded intalled automatically and I installed 7.0.1 yesterday manually. Any clues?

  • NikiNiki BGMember ✭✭✭

    Zoltan, I thought you too had updated to 10.11.1. I have no idea why you would get this message, so you might send an email to apple support.

  • Thanks, working on that :smile:. I have no idea why XCode is updated itself on Yosemite but it also can be the problem.

  • Hey guys, just wanted to let you all know that my app was just approved despite that error/warning.

  • PaulJohnson.0531PaulJohnson.0531 GBMember ✭✭

    The site must have been reading your comment @BorislavParvanov - just tried that and got the error :(

Sign In or Register to comment.